%if 0%{?fedora} > 24
%global with_python3 1
%endif

Name:           python-typing
Version:        3.5.2.2
Release:        2%{?dist}
Summary:        Typing defines a standard notation for type annotations
License:        Python
URL:            https://pypi.python.org/pypi/typing
Source0:        https://files.pythonhosted.org/packages/source/t/typing/typing-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python2-devel
BuildRequires:  python-setuptools

%description
Typing defines a standard notation for Python function and variable type
annotations. The notation can be used for documenting code in a concise,
standard format, and it has been designed to also be used by static and runtime
type checkers, static analyzers, IDEs and other tools.


%if 0%{?with_python3}
%package -n python34-typing
Summary:        %{summary}
BuildRequires:  python34-devel
BuildRequires:  python34-setuptools
%{?python_provide:%python_provide python34-typing}

%description -n python34-typing
Typing defines a standard notation for Python function and variable type
annotations. The notation can be used for documenting code in a concise,
standard format, and it has been designed to also be used by static and runtime
type checkers, static analyzers, IDEs and other tools.
%endif


%prep
%setup -q -n typing-%{version}

%build
%{__python} setup.py build
%if 0%{?with_python3}
%{py3_build}
%endif

%install
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT
%if 0%{?with_python3}
%{py3_install}
%endif

%files
%doc README.rst
%license LICENSE
%{python_sitelib}/typing*

%if 0%{?with_python3}
%files -n python34-typing
%doc README.rst
%license LICENSE
%{python3_sitelib}/typing*
%{python3_sitelib}/__pycache__/typing*
%endif

%changelog
* Mon Jan 26 2017 Troy Dawson <tdawson@redhat.com> - 3.5.2.2-2
- Changes so it will build in brew

* Mon Jan 23 2017 Orion Poplawski <orion@cora.nwra.com> - 3.5.2.2-1
- Initial EPEL package
